
From: <viro@www.linux.org.uk>

Exports moved from parport/init.c to files where functions are actually
defined.


---

 drivers/parport/daisy.c        |   11 +++++++
 drivers/parport/ieee1284.c     |   13 +++++++++
 drivers/parport/ieee1284_ops.c |   12 +++++++-
 drivers/parport/init.c         |   57 -----------------------------------------
 drivers/parport/probe.c        |    2 +
 drivers/parport/procfs.c       |    8 +++++
 drivers/parport/share.c        |   21 +++++++++++++++
 7 files changed, 66 insertions(+), 58 deletions(-)

diff -puN drivers/parport/daisy.c~parport-01-move-exports drivers/parport/daisy.c
--- 25/drivers/parport/daisy.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/daisy.c	2004-02-18 23:43:42.000000000 -0800
@@ -19,6 +19,7 @@
  * published by the Free Software Foundation.
  */
 
+#include <linux/module.h>
 #include <linux/parport.h>
 #include <linux/delay.h>
 #include <linux/sched.h>
@@ -634,3 +635,13 @@ int parport_find_class (parport_device_c
 	spin_unlock(&topology_lock);
 	return res;
 }
+
+EXPORT_SYMBOL(parport_open);
+EXPORT_SYMBOL(parport_close);
+EXPORT_SYMBOL(parport_device_num);
+EXPORT_SYMBOL(parport_device_coords);
+EXPORT_SYMBOL(parport_daisy_deselect_all);
+EXPORT_SYMBOL(parport_daisy_select);
+EXPORT_SYMBOL(parport_daisy_init);
+EXPORT_SYMBOL(parport_find_device);
+EXPORT_SYMBOL(parport_find_class);
diff -puN drivers/parport/ieee1284.c~parport-01-move-exports drivers/parport/ieee1284.c
--- 25/drivers/parport/ieee1284.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/ieee1284.c	2004-02-18 23:43:42.000000000 -0800
@@ -17,6 +17,7 @@
  */
 
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/threads.h>
 #include <linux/parport.h>
 #include <linux/delay.h>
@@ -806,3 +807,15 @@ long parport_set_timeout (struct pardevi
 
 	return old;
 }
+
+/* Exported symbols for modules. */
+
+EXPORT_SYMBOL(parport_negotiate);
+EXPORT_SYMBOL(parport_write);
+EXPORT_SYMBOL(parport_read);
+EXPORT_SYMBOL(parport_ieee1284_wakeup);
+EXPORT_SYMBOL(parport_wait_peripheral);
+EXPORT_SYMBOL(parport_poll_peripheral);
+EXPORT_SYMBOL(parport_wait_event);
+EXPORT_SYMBOL(parport_set_timeout);
+EXPORT_SYMBOL(parport_ieee1284_interrupt);
diff -puN drivers/parport/ieee1284_ops.c~parport-01-move-exports drivers/parport/ieee1284_ops.c
--- 25/drivers/parport/ieee1284_ops.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/ieee1284_ops.c	2004-02-18 23:43:42.000000000 -0800
@@ -15,6 +15,7 @@
 
 
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/parport.h>
 #include <linux/delay.h>
 #include <linux/sched.h>
@@ -908,4 +909,13 @@ size_t parport_ieee1284_epp_read_addr (s
 	return ret;
 }
 
-
+EXPORT_SYMBOL(parport_ieee1284_ecp_write_data);
+EXPORT_SYMBOL(parport_ieee1284_ecp_read_data);
+EXPORT_SYMBOL(parport_ieee1284_ecp_write_addr);
+EXPORT_SYMBOL(parport_ieee1284_write_compat);
+EXPORT_SYMBOL(parport_ieee1284_read_nibble);
+EXPORT_SYMBOL(parport_ieee1284_read_byte);
+EXPORT_SYMBOL(parport_ieee1284_epp_write_data);
+EXPORT_SYMBOL(parport_ieee1284_epp_read_data);
+EXPORT_SYMBOL(parport_ieee1284_epp_write_addr);
+EXPORT_SYMBOL(parport_ieee1284_epp_read_addr);
diff -puN drivers/parport/init.c~parport-01-move-exports drivers/parport/init.c
--- 25/drivers/parport/init.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/init.c	2004-02-18 23:43:42.000000000 -0800
@@ -170,60 +170,3 @@ int __init parport_init (void)
 __initcall(parport_init);
 
 #endif
-
-/* Exported symbols for modules. */
-
-EXPORT_SYMBOL(parport_claim);
-EXPORT_SYMBOL(parport_claim_or_block);
-EXPORT_SYMBOL(parport_release);
-EXPORT_SYMBOL(parport_register_port);
-EXPORT_SYMBOL(parport_announce_port);
-EXPORT_SYMBOL(parport_unregister_port);
-EXPORT_SYMBOL(parport_register_driver);
-EXPORT_SYMBOL(parport_unregister_driver);
-EXPORT_SYMBOL(parport_register_device);
-EXPORT_SYMBOL(parport_unregister_device);
-EXPORT_SYMBOL(parport_enumerate);
-EXPORT_SYMBOL(parport_get_port);
-EXPORT_SYMBOL(parport_put_port);
-EXPORT_SYMBOL(parport_find_number);
-EXPORT_SYMBOL(parport_find_base);
-EXPORT_SYMBOL(parport_negotiate);
-EXPORT_SYMBOL(parport_write);
-EXPORT_SYMBOL(parport_read);
-EXPORT_SYMBOL(parport_ieee1284_wakeup);
-EXPORT_SYMBOL(parport_wait_peripheral);
-EXPORT_SYMBOL(parport_poll_peripheral);
-EXPORT_SYMBOL(parport_wait_event);
-EXPORT_SYMBOL(parport_set_timeout);
-EXPORT_SYMBOL(parport_ieee1284_interrupt);
-EXPORT_SYMBOL(parport_ieee1284_ecp_write_data);
-EXPORT_SYMBOL(parport_ieee1284_ecp_read_data);
-EXPORT_SYMBOL(parport_ieee1284_ecp_write_addr);
-EXPORT_SYMBOL(parport_ieee1284_write_compat);
-EXPORT_SYMBOL(parport_ieee1284_read_nibble);
-EXPORT_SYMBOL(parport_ieee1284_read_byte);
-EXPORT_SYMBOL(parport_ieee1284_epp_write_data);
-EXPORT_SYMBOL(parport_ieee1284_epp_read_data);
-EXPORT_SYMBOL(parport_ieee1284_epp_write_addr);
-EXPORT_SYMBOL(parport_ieee1284_epp_read_addr);
-EXPORT_SYMBOL(parport_proc_register);
-EXPORT_SYMBOL(parport_proc_unregister);
-EXPORT_SYMBOL(parport_device_proc_register);
-EXPORT_SYMBOL(parport_device_proc_unregister);
-EXPORT_SYMBOL(parport_default_proc_register);
-EXPORT_SYMBOL(parport_default_proc_unregister);
-EXPORT_SYMBOL(parport_parse_irqs);
-EXPORT_SYMBOL(parport_parse_dmas);
-#ifdef CONFIG_PARPORT_1284
-EXPORT_SYMBOL(parport_open);
-EXPORT_SYMBOL(parport_close);
-EXPORT_SYMBOL(parport_device_id);
-EXPORT_SYMBOL(parport_device_num);
-EXPORT_SYMBOL(parport_device_coords);
-EXPORT_SYMBOL(parport_daisy_deselect_all);
-EXPORT_SYMBOL(parport_daisy_select);
-EXPORT_SYMBOL(parport_daisy_init);
-EXPORT_SYMBOL(parport_find_device);
-EXPORT_SYMBOL(parport_find_class);
-#endif
diff -puN drivers/parport/probe.c~parport-01-move-exports drivers/parport/probe.c
--- 25/drivers/parport/probe.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/probe.c	2004-02-18 23:43:42.000000000 -0800
@@ -5,6 +5,7 @@
  *             Philip Blundell <Philip.Blundell@pobox.com>
  */
 
+#include <linux/module.h>
 #include <linux/parport.h>
 #include <linux/ctype.h>
 #include <linux/string.h>
@@ -212,3 +213,4 @@ ssize_t parport_device_id (int devnum, c
 	parport_close (dev);
 	return retval;
 }
+EXPORT_SYMBOL(parport_device_id);
diff -puN drivers/parport/procfs.c~parport-01-move-exports drivers/parport/procfs.c
--- 25/drivers/parport/procfs.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/procfs.c	2004-02-18 23:43:42.000000000 -0800
@@ -14,6 +14,7 @@
 
 #include <linux/string.h>
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/errno.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
@@ -528,3 +529,10 @@ int parport_default_proc_unregister (voi
 	return 0;
 }
 #endif
+
+EXPORT_SYMBOL(parport_proc_register);
+EXPORT_SYMBOL(parport_proc_unregister);
+EXPORT_SYMBOL(parport_device_proc_register);
+EXPORT_SYMBOL(parport_device_proc_unregister);
+EXPORT_SYMBOL(parport_default_proc_register);
+EXPORT_SYMBOL(parport_default_proc_unregister);
diff -puN drivers/parport/share.c~parport-01-move-exports drivers/parport/share.c
--- 25/drivers/parport/share.c~parport-01-move-exports	2004-02-18 23:43:42.000000000 -0800
+++ 25-akpm/drivers/parport/share.c	2004-02-18 23:43:42.000000000 -0800
@@ -1060,6 +1060,27 @@ void parport_release(struct pardevice *d
 	}
 }
 
+/* Exported symbols for modules. */
+
+EXPORT_SYMBOL(parport_claim);
+EXPORT_SYMBOL(parport_claim_or_block);
+EXPORT_SYMBOL(parport_release);
+EXPORT_SYMBOL(parport_register_port);
+EXPORT_SYMBOL(parport_announce_port);
+EXPORT_SYMBOL(parport_unregister_port);
+EXPORT_SYMBOL(parport_register_driver);
+EXPORT_SYMBOL(parport_unregister_driver);
+EXPORT_SYMBOL(parport_register_device);
+EXPORT_SYMBOL(parport_unregister_device);
+EXPORT_SYMBOL(parport_enumerate);
+EXPORT_SYMBOL(parport_get_port);
+EXPORT_SYMBOL(parport_put_port);
+EXPORT_SYMBOL(parport_find_number);
+EXPORT_SYMBOL(parport_find_base);
+
+EXPORT_SYMBOL(parport_parse_irqs);
+EXPORT_SYMBOL(parport_parse_dmas);
+
 static int parport_parse_params (int nports, const char *str[], int val[],
 				 int automatic, int none, int nofifo)
 {

_
